Pan Auth
This api is for authentication of PAN Number. We have to pass pan number,name and dob in request and it will give us success response if the pan card number is valid
POST
https://kraken.airpay.co.in/airpay/ms/baas/api/pan-verificationHeader
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| affiliate required | Text | Will be provided by airpay (required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| checksum required | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| api-key required | Text | Will be provided by airpay ( required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| processor-key required | Text | Will be provided by airpay ( required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| live required | Text | For live data pass Y or leave it blank | Y |
Request Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| pan required | Text (11) | Pan No. of the customer | BPTPJ4887P |
| name required | Text (1-50) | Name of the customer | KRISHNAKUMAR |
| dob required | Text (10) | Date of birth of the customer in d-m-Y format | 26/05/2002 |
| fathername optional | Text (1-50) | Father’s name of the customer |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status required | Numeric | 400- fail,200-success(length 3, required) | 400,200 |
| message required | text | success, fail | success,fail |
| data required | Text | { “name”: “Y”,“Aadhaar Seeding”: “Aadhaar Seeding is successful”,“Pan Status”: “Existing and Valid”,“DOB”: “Y”} |
Request Example
Section titled “Request Example”curl --location --request POST https://kraken.airpay.co.in/airpay/ms/baas/api/pan-verification' \--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'live: Y' \--header 'Content-Type: application/json' \--data-raw '{ "pan": "BPTPJ4887P", "name":"KRISHNAKUMAR", "dob":"26/05/2002", "fathername":""}'Success Response
Section titled “Success Response”{ "status": "200", "message": "success", "data": { "name": "Y", "Aadhaar Seeding": "Aadhaar Seeding is successful", "Pan Status": "Existing and Valid", "DOB": "Y" }}Error Response
Section titled “Error Response”{ "status": "400", "message": "Failed", "data": ""}